#include <bits/stdc++.h>

using namespace std;
long long int f(int i)
{
	if(i==0)return 0;
	if(i==1||i==2||i==5)return 1;
	if(i==3||i==4||i==6||i==7)return 2;
	else return 3;
}
int main(int argc, char** argv) {
	long long int a,res=0;
	cin>>a;
	while(a>0)
	{
		int pom=a%10;
		res+=f(pom);
		a=a/10;
	}
	cout<<res;
	return 0;
}